main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('rekomendasi/', views.rekomendasi, name='rekomendasi'),
    path('tambah_matkul/', views.tambah_matkul, name='tambah_matkul'),
    path('daftar_matkul/', views.daftar_matkul, name='daftar_matkul'),
    path('hapus_matkul/<int:pk>/', views.hapus_matkul, name='hapus_matkul'),
    path('detail_matkul/<int:pk>/', views.detail_matkul, name='detail_matkul'),
]

storyppw/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('story1/', include('story1.urls')),
    path('story6/', include('story6.urls')),
    path('', include('accordion.urls')),
    path('', include('search_book.urls')),
    path('', include('login.urls')),
   
]

main/models.py
from django.db import models

class Matkul(models.Model):
    nama_matkul = models.CharField(max_length=30)
    dosen = models.CharField(max_length=30)
    jumlah_sks = models.IntegerField()
    deskripsi = models.TextField()
    tahun = models.CharField(max_length=15)
    ruang_kelas = models.CharField(max_length=10)

    def __str__(self):
        return "{}".format(self.nama_matkul)

main/forms.py
from django import forms
from .models import Matkul

class FormMatkul(forms.ModelForm):
    class Meta:
        model = Matkul
        fields = [
            'nama_matkul', 
            'dosen', 
            'jumlah_sks', 
            'deskripsi', 
            'tahun', 
            'ruang_kelas'
        ]

        
    tahun = forms.CharField(widget=forms.TextInput(attrs={'placeholder': 'Ex: Gasal 2020/2021'})) 
    jumlah_sks = forms.CharField(widget=forms.TextInput(attrs={'placeholder': 'Masukkan angka'}))  

main/views.py
from django.shortcuts import render,redirect
from .models import Matkul
from .forms import FormMatkul
from django.http import HttpResponseRedirect
from django.shortcuts import get_object_or_404
from django.contrib.auth.decorators import login_required

response = {}


def home(request):
    return render(request, 'main/home.html')

def rekomendasi(request):
    return render(request, 'main/rekomendasi.html')

@login_required(login_url='/login/')
def tambah_matkul(request):
    form = FormMatkul(request.POST or None)
    if (form.is_valid() and request.method == 'POST'):
        form.save()
        return HttpResponseRedirect('/tambah_matkul')

    context = {'form': form}
    
    return render(request, 'main/formMatkul.html', context)

@login_required(login_url='/login/')
def daftar_matkul(request):
    subjects = Matkul.objects.all() 
    context = {'subjects': subjects}
    return render(request, 'main/daftarMatkul.html', context)

def hapus_matkul(request, pk=None):
    Matkul.objects.get(id=pk).delete()
    return redirect('/daftar_matkul')   

@login_required(login_url='/login/')
def detail_matkul(request, pk=None):
    detail = Matkul.objects.get(id=pk)
    context = {'detail': detail}
    return render(request, 'main/detailMatkul.html', context)

main/templates/main/daftarMatkul.html
{% extends 'base.html' %}
{% load static %}

<title>Daftar Matkul</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" href="{% static 'css/style.css' %}">

{% block content %}
<table class="table">
    <thead>
      <tr>
        <th scope="col">Nama Matkul</th>
        <th scope="col">Detail</th>
        <th scope="col">Hapus</th>
      </tr>
    </thead>
    <tbody>
        {% for i in subjects%}
      <tr>
        <td>{{i.nama_matkul}}</td> 
        <td><a href="{% url 'main:detail_matkul' pk=i.id%}"><button type="button" class="btn btn-warning">Detail</button></a></td>
        <td><a href="{% url 'main:hapus_matkul' pk=i.id%}"><button type="button" class="btn btn-warning">Hapus</button></a></td>
        
       

      </tr>
      {% endfor %}
    </tbody>
  </table>

    {% endblock content %}

main/templates/main/detailMatkul.html
{% extends 'base.html' %}
{% load static %}

<title>Daftar Matkul</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" href="{% static 'css/style.css' %}">

{% block content %}


 
  <table id="detail-tbl">
    <tr class="detail">
      <th>Nama Mata Kuliah</th>
      <td>  : {{detail.nama_matkul}}</td>
    </tr>
    <tr class="detail">
      <th>Dosen</th>
      <td>  : {{detail.dosen}}</td>
    </tr>
    <tr class="detail">
      <th>Jumlah SKS</th>
      <td>  : {{detail.jumlah_sks}}</td>
    </tr>
    <tr class="detail">
      <th>Ruangan</th>
      <td>  : {{detail.deskripsi}}</td>
    </tr>
    <tr class="detail">
      <th>Semester</th>
      <td>  : {{detail.tahun}}</td>
    </tr>
    <tr class="detail">
      <th>Deskripsi</th>
      <td>  : {{detail.ruang_kelas}}</td>
    </tr>
  </table>
   
  
{% endblock content %}

main/templates/main/formMatkul.html
{% extends 'base.html' %}
{% load static %}

<title>Mata Kuliah</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link rel="stylesheet" href="{% static 'css/style.css' %}">



{% block content %}

<table id="form-tbl">
  <form action="" method="POST">
  
      {% csrf_token %}
      {{form.as_table}}
        
  <tr>
    <td><input id="submit-btn" type="submit" value="Submit" class="btn btn-warning"></td>
  </tr>
</table>
</form>

  
{% endblock content %}

main/templates/main/home.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>profil</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" href="{% static 'css/style.css' %}">
{% endblock meta %}

{% block content %}


<!-- Home -->
<div id = "id-home">
  <img id = "dot" src = "{% static 'main/images/polka-dot.png' %}">
  <h1 id = "welcome">Welcome to Novi's Page</h1>
  <img id = "dot2" src = "{% static 'main/images/polka-dot.png' %}">
  <a href = "#id-about" class="button-panah" >
     <input type="image" src="{% static 'main/images/panah.png' %}" />
  </a>
</div>

<!-- About Me -->
<div id = "id-about">  
  <h1 class = "judul">About Me</h1>

  <div class = "about-baris">
    <div class = "about-kolom">
        <h4 id = "nama">Novi Handayani</h4>

        <div class="container1">
            <div>
                <img src="{% static 'main/images/date.png' %}" class='iconDetails'>
            </div> 
            <h4 class = "ttl">15 November 2000</h4>
        </div>

        <div class="container1">
            <div>
                <img src="{% static 'main/images/location.png' %}" class='icon-loc'>
            </div> 
            <h4 class = "ttl">Jakarta, Indonesia</h4>
        </div>

        <p id="intro">Perkenalkan saya Novi, mahasiswi jurusan Ilmu Komputer di Universitas Indonesia</p>        
    </div>

    <div class = "about-kolom">
        <img id = "foto" src = "{% static 'main/images/foto.png' %}">    
    </div>

</div>
</div>

<!-- Education -->
<div id = "id-education" class = "bawah">
  <h1 class = "judul">Education</h1>
  <h3 class = "tahun">2007 - 2013</h3>
  <h3 class = "sekolah">SDN Gedong 03 Pagi</h3>
  <h3 class = "tahun">2013 - 2016</h3>
  <h3 class = "sekolah">SMPN 102 Jakarta</h3>
  <h3 class = "tahun">2016 - 2019</h3>
  <h3 class = "sekolah">SMAN 39 Jakarta</h3>
  <h3 class = "tahun">2019 - Sekarang</h3>
  <h3 class = "sekolah">Universitas Indonesia</h3>
</div>

<!-- Organization -->
<div id = "id-organization" class = "bawah"> 
 <h1 class = "judul">Organization</h1>

 <div class="organisasi">
    <h3 class="nama-org">BEM Fasilkom UI 2020</h3>
    <h4 class="posisi-org">Staf Biro Media</h4>
 </div>

 <div class="organisasi">
    <h3 class="nama-org">Educare 2020</h3>
    <h4 class="posisi-org">Staf Divisi Kreatif</h4>
 </div>

 <div class="organisasi">
    <h3 class="nama-org">Betis Fasilkom UI 2021</h3>
    <h4 class="posisi-org">WPJ Kreatif dan Dokumentasi</h4>
 </div>
</div>

<!-- Skills -->
<div id = "id-skill" class = "bawah">
<h1 class = "judul">Tools & Skills</h1>

<div class="container" id="skill">
  <div class="row">
    <div class="col-sm">
      <img src="{% static 'main/images/figma.png' %}">
      <h4 class = "tools-name">Figma</h4>
    </div>
    <div class="col-sm">
      <img src="{% static 'main/images/java.png' %}">
      <h4 class = "tools-name">Java</h4>
    </div>
    <div class="col-sm">
      <img src="{% static 'main/images/python.png' %}">
      <h4 class = "tools-name">Python</h4>
    </div>
  </div>
</div>          
</div>

<!-- Project -->
<div id = "id-project" class = "bawah">
<h1 class = "judul">Project</h1>
<h3 class = "project">Coming Soon</h3>
</div>

<!-- Contact -->
<div id = "id-contact" class = "bawah">
<h1 class = "judul">Contact me at</h1>

    <div id="container2">
        <div>
            <a class="button" >
                <input type="image" src="{% static 'main/images/mail.png' %}" />
            </a> 
        </div>
        <h4 class = "contact-name">novi196497@gmail.com</h4>
    </div>

    <div id="container3">
        <a href = "https://www.linkedin.com/in/novi-handayani-56a550147/" class = "button" >
            <input type="image" src="{% static 'main/images/linkedin.png' %}" />
        </a>
        <h4 class = "contact-name">Novi Handayani</h4>
    </div>
</div>
{% endblock content %}

main/templates/main/rekomendasi.html
{% extends 'base.html' %}
{% load static %}

    {% block meta %}   
        <title>Rekomendasi</title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">     
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <link href = "{% static 'css/style.css' %}" rel = "stylesheet" type = text/css>      
    {% endblock meta %}

    {% block content %}
        <!-- Rekomendasi Buku -->
        <div id = "id-rekomendasi">  
            <h1 class = "judul-rec">Rekomendasi Buku</h1>

            <div class = "baris">
                <div class = "kolom">
                    <img class = "sampul" src = "{% static 'main/images/1q84.jpg' %}">    
                </div>
                <h3 class = "judul-buku">1Q84</h3>
                <p class = "desc">A love story, a mystery, a fantasy, a novel of self-discovery, a dystopia to rival George Orwell's—1Q84 is Haruki Murakami's most ambitious undertaking yet: an instant best seller in his native Japan, and a tremendous feat of imagination from one of our most revered contemporary writers.</p>
            </div>

            <div class = "baris">
                <div class = "kolom">
                    <img class = "sampul" src = "{% static 'main/images/the-bane-chronicles.jpg' %}">    
                </div>
                <h3 class = "judul-buku">The Bane Chronicles</h3>
                <p class = "desc">The Bane Chronicles is a compilation of 11 short stories telling the tales of the High Warlock of Brooklyn, Magnus Bane, and co-written by Cassandra Clare, Sarah Rees Brennan, and Maureen Johnson. First released in e-book format, a print edition of the collection was published on November 11, 2014.</p>
            </div>
        </div>
    {% endblock content %}